cURL
curl --request POST \
--url https://sandbox.withclasp.com/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lines_of_coverage": [],
"employer": "<string>",
"census_upload": "<string>"
}
'import requests
url = "https://sandbox.withclasp.com/quotes"
payload = {
"lines_of_coverage": [],
"employer": "<string>",
"census_upload": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lines_of_coverage: [], employer: '<string>', census_upload: '<string>'})
};
fetch('https://sandbox.withclasp.com/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"lines_of_coverage": [
"medical"
],
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"quote_plans": [
"<string>"
],
"employer_details": {
"company_name": "<string>",
"zip_code": "<string>",
"state": "AL",
"sic_code": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"phone_number": "<string>"
},
"employer": "<string>",
"census_upload": "<string>",
"submitted_at": "2023-11-07T05:31:56Z"
}Quotes
Create Quote
Creates a group insurance quote from an existing employer or an uploaded census.
POST
/
quotes
cURL
Use your sandbox API key to create quotes. Plans and rates returned in sandbox are sample data for integration testing and are not representative of live pricing. Contact Clasp to enable quoting with your live API key.
Authorizations
API Key authentication with required prefix "Bearer"
Body
application/jsonmultipart/form-data
Minimum array length:
1Available options:
medical, dental, vision, life, voluntary_life Existing employer ID. Provide this or census_upload, not both.
Member census CSV. Requires employer_details when used.
Show child attributes
Show child attributes
Response
201 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Available options:
medical, dental, vision, life, voluntary_life draft- Draftrates_returned- Rates Returnedawaiting_carrier- Awaiting Carrier
Available options:
draft, rates_returned, awaiting_carrier Show child attributes
Show child attributes